Subject: Re: Resolv abnormalities

From: Jeff Weisberg <[email-masked]>
Date: Sat, 12 Feb 2005 12:05:22 -0500 (EST)

| Using the new Resolv feature of 20050207, I'm getting seemingly random
| DNS lookup failures.  These failures are few and far apart.  Argus sends
| an alert saying an object is down, and then in a few seconds sends an
| alert saying it's back up.
| 
| for example:
[...]

| I was going to start mucking with the Resolv key:value pairs (from
| config-new.html), but dont have enough confidence that I know what they
| do (frequency and timeout are not listed Config Params).

yes, you know exactly what they do (you just don't realize it).

internally, Resolv is a Service, pretend that your config says:
	Service Resolv {
		frequency:	60
		timeout:	10
		# ...
	}

so you can specify any parameter that makes sense for a service.
the frequency says how often the resolv service runs, and the
timeout, how long to wait for a response (but instead of going
down and sending email, it switches to the next server).

from your problem description, do you have a default
frequency specified that is more than a few minutes
or so (so that resolv isn't running often enough)?

try
	Resolv {
		frequency:	60
	}

if you want to look under the hood at what is happening
	Resolv {
		debug:	yes
	}

will log all sorts things, and 'argusctl about object=Resolv_0'
will dump all of the resolver parameters.

	--jeff